#ifndef CH_VYP_H
#define CH_VYP_H

//==========================DOKUMENTACNI CAST=================================

  /*
   * CH_VYP.H, verze 1.0
   *
   * Hlavickovy soubor k modulu VYPOCTY.C, soucast programu CHEMTAB
   *
   * Obsahuje objekty, ktere jsou predmetem exportu modulu CH_VYP.CPP
   * tj. fce urcene k chemickym vypoctum
   *
   * Martin Slouf, 29.4.1999
   *
   */

//========================DEFINICE SYMBOLICKYCH KONSTANT======================

  /*
   * ktere budou vyuzivany i v jinych modulech
   *
   */

//=======================DEFINICE MAKER S PARAMETRY===========================

  /*
   * ktere budou vyuzivany i v jinych modulech
   *
   */

//========================DEFINICE GLOBALNICH TYPU============================

  /*
   * zasadne pomoci typedef
   *
   */

//============DEKLARACE GLOBALNICH PROMENNYCH PRISLUSNEHO .C MODULU===========

  /*
   * !!! deklarace, nikoli definice !!!
   *
   * jsou predmetem exportu .CPP modulu - zde uvedeny jako extern deklarace
   *
   */

//=================UPLNE FUNKCNI PROTOTYPY PRISLUSNEHO .C MODULU==============

 /*
  * jsou predmetem exportu .CPP modulu - zde uvedeny jako extern deklarace
  *
  */

extern double vypocet_mr(const char s[]);
  /* vraci mr vzorcove jednotky - vycet atomu v symetricky nezavisle casti
   * bunky - ulozene v s[]
   * vraci 0.0 v pripade chyby
   */

/* vypocet objemu */
extern double kubic();
extern double tetragonal();
extern double ortorombic();
extern double hexagonal();
extern double romboedric();
extern double monoklinic();
extern double triklinic();

/* vypocet krystalograficke hustoty */
double vypocet_dx(double mr, double objem);

#endif